@ECHO OFF

REM This batchfile runs CDONLINE, change all the paths to the correct ones!

REM Change to the directory containing CDONLINE.CFG
CD\PB\UTILS\CDONLINE
     
REM Check that the CD drive is accessable.
COMMAND /F /C DIR D: >!!!!!.TMP
REM Errorlevel 1+ means the drive is not ready.
FIND "bytes" !!!!!.TMP >nul:
IF ERRORLEVEL 1 GOTO NoCD

REM Run CDOnline
CDOnline

REM Skip the NoCD bit
GOTO End

REM No CD in drive/not accessable.
:NoCD

REM Copy the NOCD.A?? to the CDONLINE.A??
REM NOCD.ANS is simply CDONLINE.A?? with "No CD Online!" in the name field.
COPY /Y NOCD.A?? C:\PB\TXTFILES\CDONLINE.A??>nul:

REM Bye-bye! :-)
:End
del !!!!!.TMP
